---
updatedAt: 2025-09-18T22:32:43.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# Collection Statistics

This endpoint returns statistics for a collection referring to NFTScan Collection.

This endpoint returns statistics for a collection referring to [NFTScan Collection](https://www.nftscan.com/0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d).

### API Endpoint

`https://open-platform.nodereal.io/{apiKey}/nftscan`

**method\_path**:`/api/v2/statistics/collection/`{`contract_address`}/{`chain_name`}

**method\_type**:`GET`

**Request**:

| Parameters        | Descriptions                                                                                                                                                                                                                                                                                                                     | Query Type | Required | Data Type | schema |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------- | -------- | --------- | ------ |
| chain\_name       | Name of the chain you’re querying. List of supported values: "eth" for Ethereum; "bnb" for BNB Smart Chain; "polygon" for Polygon; "moonbeam" for Moonbeam; "arbitrum" for Arbitrum One; "optimism" for Optimism; "platon" for PlatON; "avalanche" for Avalanche; "cronos" for Cronos; "fantom" for Fantom; "gnosis" for Gnosis; | path       | true     | string    |        |
| contract\_address | The NFT contract addressdefaultValue`{0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d}`                                                                                                                                                                                                                                               | path       | true     | string    |        |

**Response**:

| Parameters                      | Descriptions                                                                                     | Data Type                      | schema                         |
| ------------------------------- | ------------------------------------------------------------------------------------------------ | ------------------------------ | ------------------------------ |
| code                            | Response status code (200 means the request was successful, 4XX or 5XX means the request failed) | integer(int32)                 | integer(int32)                 |
| data                            | Response data                                                                                    | NftPlatformInfoStatisticsModel | NftPlatformInfoStatisticsModel |
|   average\_price\_24h           | The 24h average price                                                                            | number(bigdecimal)             |                                |
|   average\_price\_change\_1d    | The average price growth rate for 1 day                                                          | string                         |                                |
|   average\_price\_change\_30d   | The average price growth rate for 30 days                                                        | string                         |                                |
|   average\_price\_change\_7d    | The average price growth rate for 7 days                                                         | string                         |                                |
|   contract\_address             | The contract address                                                                             | string                         |                                |
|   contract\_name                | The contract name                                                                                | string                         |                                |
|   erc\_type                     | The erc type of the collection                                                                   | string                         |                                |
|   floor\_price                  | The floor price of the collection                                                                | number(bigdecimal)             |                                |
|   highest\_price                | The highest price                                                                                | number(bigdecimal)             |                                |
|   items\_total                  | How many items for the collection                                                                | integer(int64)                 |                                |
|   logo\_url                     | The logo URL                                                                                     | string                         |                                |
|   lowest\_price\_24h            | The 24h lowest price                                                                             | number(bigdecimal)             |                                |
|   market\_cap                   | The market cap                                                                                   | number(bigdecimal)             |                                |
|   next\_blue\_chip\_probability | Percentage of owners of this collection who have at least one Blue Chip NFT                      | string                         |                                |
|   owners\_total                 | How many owners for the collection                                                               | integer(int64)                 |                                |
|   sales                         | The total sales                                                                                  | integer(int64)                 |                                |
|   sales\_24h                    | The 24h sales                                                                                    | integer(int64)                 |                                |
|   total\_volume                 | The total volume                                                                                 | number(bigdecimal)             |                                |
|   volume\_1d                    | The volume for 1 day                                                                             | number(bigdecimal)             |                                |
|   volume\_24h                   | The 24h volume                                                                                   | number(bigdecimal)             |                                |
|   volume\_30d                   | The volume for 30 days                                                                           | number(bigdecimal)             |                                |
|   volume\_7d                    | The volume for 7 days                                                                            | number(bigdecimal)             |                                |
|   volume\_change\_1d            | The volume growth rate for 1 day                                                                 | string                         |                                |
|   volume\_change\_30d           | The volume growth rate for 30 days                                                               | string                         |                                |
|   volume\_change\_7d            | The volume growth rate for 7 days                                                                | string                         |                                |
| msg                             | Error message when request fails                                                                 | string                         |                                |

**Example**:

```javascript
{
	"code": 200,
	"data": {
		"average_price_24h": 10.134,
		"average_price_change_1d": "120%",
		"average_price_change_30d": "120%",
		"average_price_change_7d": "120%",
		"contract_address": "0x8a90cab2b38dba80c64b7734e58ee1db38b8992e",
		"contract_name": "Doodles",
		"erc_type": "erc721",
		"floor_price": 1.113,
		"highest_price": 296.69,
		"items_total": 10000,
		"logo_url": "https://logo.nftscan.com/logo/0x8a90cab2b38dba80c64b7734e58ee1db38b8992e.png",
		"lowest_price_24h": 8.969,
		"market_cap": 68642,
		"next_blue_chip_probability": "52.22%",
		"owners_total": 6271,
		"sales": 44,
		"sales_24h": 3,
		"total_volume": 94607.141,
		"volume_1d": 762.3803,
		"volume_24h": 445.895,
		"volume_30d": 18857.0902,
		"volume_7d": 5705.4187,
		"volume_change_1d": "40%",
		"volume_change_30d": "495.88%",
		"volume_change_7d": "-31.95%"
	},
	"msg": ""
}
```